
			$(document).ready(function(){
				var ezstats = $("#ezstats");
				var ezoverview = $("#ezOverview");
				
				/* Link-Ziel */
				$ezSet[target]
				
				/* Mouseover- und -out-Effekt fr die Tabelle */
				$("tbody tr", ezoverview).hover(
					function () { $(this).addClass("hover"); }, 
					function () { $(this).removeClass("hover"); }
				);
				
				/* Tooltips initialisieren */
				$("div[title], a[title], span[title]", ezstats).tooltip();
				
				/* Tablesorter initialisieren */
				ezoverview.tablesorter({ 
					sortList: [[0,1],[2,1]]
				});
				
				/* Detailseite initialisieren */
				$("a[rel=ezDetail]", ezoverview).fancybox();
				
				/* Manuelles Update */
				$("span.update", ezoverview).click(function () {
					var span = $(this);
					span.removeClass("update").addClass("load24");
					
					$.ajax({
						type: "get",
						url: "$ezstats[relpath]update.php",
						data: "update="+span.attr("rel"),
						success: function(data){
							$.ajax({
								type: "get",
								url: "$ezstats[relpath]signatures.php",
								data: "update="+span.attr("rel"),
								success: function(data){
									window.location.reload();
								}
							});
						}
					});
				});
			
				var guest    = $("#ezstats td.ezGuest");
				var compare  = $("#ezstats td.ezCompare");
				var cpbutton = $("span.ezCPbt:visible", compare);
				var cplist   = cpbutton.next();
				
				/* Vergleichsliste einstellen */
				if (cpbutton.length) {
					//var cpbutton_position = cpbutton.aPosition();
					var cpbutton_height = cpbutton.outerHeight();
					var cplist_height = cplist.outerHeight();
					
					compare.css("width", cpbutton.outerWidth());
					
					if (cplist.outerHeight() <= cpbutton.offset().top) var above_possible = true; else var above_possible = false;
					if ($("body").outerHeight() <= (cpbutton.offset().top + cpbutton.outerHeight() + cplist.outerHeight())) var below_possible = false; else var below_possible = true;
					
					if (above_possible && !below_possible) {
						cplist.css("top", cpbutton.aPosition().top - cplist.outerHeight());
					} else {
						cplist.css("top", cpbutton.aPosition().top + cpbutton.outerHeight());
					}
					
					compare.bind({
						mouseenter: function() { cplist.fadeIn(); },
						mouseleave: function() { cplist.stop(true, true).hide(); },
						click: function(event) { event.preventDefault() }
					});
					
					$("a", cplist).fancybox();
				}
				
				/* Gast-Formular */
				$("input", guest).bind({
					click: function() {
						$(this).val("").css({"font-style": "normal"});
					},
					keypress: function(event) {
						if (event.keyCode == '13') {
							var span = $(this).prev();
							var player = $(this).val();
							get_guest_stats(player, span);
						}
					}
				});
				
				$("span", guest).click(function() {
					var span = $(this);
					var player = $(this).next().val();
					get_guest_stats(player, span);
				});
				
				/* Funktion: Gast-Daten abrufen */
				function get_guest_stats(player, span) {
					span.removeClass().addClass("load24").css("float", "right");
					
					if (player) {
						player = player.replace(/\+/g, "*PLUS*");
						player = player.replace(/&/g, "*AMPERSAND*");
						player = player.replace(/=/g, "*EQUALS*");
						
						$.ajax({
							type: "get",
							url: "$ezstats[relpath]update.php",
							data: "guest="+player,
							success: function(data){
								if (data == 0) {
									span.removeClass().addClass("submit");
									$.fancybox('<div id="ezDetail"><div style="text-align: center; margin: 20px 0;">%gueststats_nodata%</div></div>');
								} else {
									$.ajax({
										type: "post",
										url: "$ezstats[relpath]detail.php",
										data: "selector="+data,
										success: function(data){
											span.removeClass().addClass("submit");
											$.fancybox(data);
										}
									});
								}
							}
						});
					} else {
						span.removeClass().addClass("submit");
						$.fancybox('<div id="ezDetail"><div style="text-align: center; margin: 20px 0;">%gueststats_nostring%</div></div>');
					}
				}
			});