<?php
	session_start();
	
	include '../config.php';
	include '../classes.php';
	include '../functions.php';
	include '../settings.php';
	
	/* Admin ist nicht eingeloggt */
	if (!isset($_SESSION['login']) OR !$_SESSION['login']) {
		$ezLoc->get_data("admin");
		
		if (!isset($_POST['username']) AND !isset($_POST['password'])) {
			$string = "";
		} elseif ($_POST['username'] !== $ezstats['admin_name'] OR $_POST['password'] !== $ezstats['admin_pw']) {
			$string = "<br/><br/>".$ezLoc->data['login_failed'];
		} else {
			$_SESSION['login'] = true;
			header("Location:index.php"); 
		}
		
		eval ("\$template = \"".$ezLoc->get_template("_header", "html", "../admin")."\";");
		echo $template;
		eval ("\$template = \"".$ezLoc->get_template("_body", "html", "../admin")."\";");
		echo $template;
		eval ("\$template = \"".$ezLoc->get_template("login", "html", "../admin")."\";");
		echo $template;
		eval ("\$template = \"".$ezLoc->get_template("_footer", "html", "../admin")."\";");
		echo $template;
	}
	
	/* Admin ist eingeloggt */
	elseif ($_SESSION['login']) {
		/* Logout */
		if (isset($_GET['logout'])) {
			session_destroy();
			header("Location:../index.php");
		}
		
		
		/* nderungen an Einstellungen speichern */
		elseif (isset($_POST['save_settings'])) {
			
			/* bersichts-Einstellungen speichern */
			$columns = $ezData->show_columns_of_table($ezstats['prefix'].'overview');
			
			foreach ($columns as $column) {
				if (isset($_POST['overview'][$column])) {
					$query = "UPDATE ".$ezstats['prefix']."overview SET ".$column." = 1 WHERE ID = 1";
					$ezSQL->safe_query($query);
				} else {
					$query = "UPDATE ".$ezstats['prefix']."overview SET ".$column." = 0 WHERE ID = 1";
					$ezSQL->safe_query($query);
				}
			}
			
			/* Spielernamen speichern */
			$players = $ezData->get_all_players("all", "ID");
			foreach ($players as $id) {
				$query = 'SELECT name FROM '.$ezstats['prefix'].'playernames WHERE ID = "'.$id.'"';
				$result = $ezSQL->safe_query($query);
				
				if (mysql_num_rows($result)) {
					$query = 'UPDATE '.$ezstats['prefix'].'playernames SET name = "'.$_POST['player'.$id].'" WHERE ID = "'.$id.'"';
				} else {
					$query = 'INSERT INTO '.$ezstats['prefix'].'playernames (ID, name) VALUES ("'.$id.'", "'.$_POST['player'.$id].'")';
				}
				$ezSQL->safe_query($query);
			}
			
			/* Allgemeine Einstellungen speichern */
			$path = $_POST['path']; if ($path != "" AND substr($path, -1, 1) != "/") $path = $path."/";
			$query = "
				REPLACE INTO ".$ezstats['prefix']."settings (
					ID,
					Version,
					Language,
					Path,
					Theme,
					CMS,
					Clanname,
					Clanpage,
					Clantag,
					Lastupdate,
					Adminlink,
					Supportlink,
					Showupdate,
					Overview_Average,
					Overview_Summary
				) VALUES (
					1,
					'".$ezstats['version']."',
					'".$_POST['lang']."',
					'".$path."',
					'".$_POST['theme']."',
					'".$_POST['cms']."',
					'".$_POST['clanname']."',
					'".$_POST['clanhp']."',
					'".$_POST['clantag']."',
					'".$ezstats['lastupdate']."',
					'".$_POST['adminlink']."',
					'".$_POST['supportlink']."',
					'".$_POST['showupdate']."',
					'".$_POST['overview_average']."',
					'".$_POST['overview_summary']."'
				)
			";
			$ezSQL->safe_query($query);
			
			/* CMS-Einstellungen speichern */
			$ezCMS->safe_cms_data($_POST);
			
			/* Ergebnisbildschirm */
			$ezLoc->get_data("admin");
			eval ("\$template = \"".$ezLoc->get_template("_header", "html", "../admin")."\";");
			echo $template;
			eval ("\$template = \"".$ezLoc->get_template("_body", "html", "../admin")."\";");
			echo $template;
			eval ("\$template = \"".$ezLoc->get_template("saved", "html", "../admin")."\";");
			echo $template;
			eval ("\$template = \"".$ezLoc->get_template("_footer", "html", "../admin")."\";");
			echo $template;
		}
		
		
		/* Spieler hinzuggen */
		elseif (isset($_POST['ajax_add'])) {
			$ezLoc->get_data("admin");
			$name = trim($ezFunc->replace_masked_control_characters($_POST['ajax_add']));
			
			/* berprfen ob der Spieler schon in der Datenbank ist */
			if ($ezData->get_player_id($name) != false) {
				$ezData->update_player($name);
				
				$str = str_replace('%name%', htmlentities($name), $ezLoc->data['ajax_already_added']);
				echo $str;
			}
			
			else {
				/* Speichern des Spielers */
				$query = 'INSERT INTO '.$ezstats['prefix'].'players (name) VALUES ("'.$name.'")';
				$ezSQL->safe_query($query);
				
				/* Abfrage der API */
				if ($ezData->update_player($name)) {
					$str = str_replace('%name%', urldecode($name), $ezLoc->data['ajax_added']);
					echo $str;
				} else {
					$str = str_replace('%name%', urldecode($name), $ezLoc->data['ajax_not_found']);
					echo $str;
				}
			}
		}
		
		
		/* Spieler entfernen */
		elseif (isset($_POST['ajax_remove'])) {
			$ezLoc->get_data("admin");
			$name = trim($ezFunc->replace_masked_control_characters($_POST['ajax_remove']));
			
			/* berprfen ob der Spieler schon in der Datenbank ist */
			if ($ezData->get_player_id($name) != false) {
				$query = 'DELETE FROM '.$ezstats['prefix'].'players WHERE name = "'.$name.'"';
				$ezSQL->safe_query($query);
				
				$str = str_replace('%name%', htmlentities($name), $ezLoc->data['ajax_removed']);
				echo $str;
			} else {
				$str = str_replace('%name%', htmlentities($name), $ezLoc->data['ajax_not_removed']);
				echo $str;
			}
		}
		
		
		/* Spielerliste generieren (Add Player) */
		elseif (isset($_POST['ajax_list'])) {
			$all = $ezData->get_all_players("all", "name");
			$active = $ezData->get_all_players("active", "name");
			
			if ($_POST['ajax_list'] == "with_stats") {
				foreach ($all as $player) {
					if (in_array($player, $active)) {
						 echo '<li>'.htmlentities($player).'</li>';
					}
				}
			} elseif ($_POST['ajax_list'] == "without_stats") {
				foreach ($all as $player) {
					if (!in_array($player, $active)) {
						 echo '<li>'.htmlentities($player).'</li>';
					}
				}
			}
		}
		
		
		/* Spielerliste generieren (Edit Playernames) */
		elseif (isset($_POST['ajax_playernames'])) {
			$players = $ezData->get_all_players("all", "name");
			foreach ($players as $player) {
				$id = $ezData->get_player_id($player);
				$query = 'SELECT name FROM '.$ezstats['prefix'].'playernames WHERE ID = "'.$id.'"';
				$result = $ezSQL->safe_query($query);
				if (mysql_num_rows($result)) {
					$result = mysql_fetch_assoc($result);
					if ($result['name']) $name = $result['name']; else $name = $player;
				} else $name = $player;
				
				echo '<dd><label for="player'.$id.'" style="width: 200px">'.$player.'</label> <input type="text" id="player'.$id.'" name="player'.$id.'" size="40" value="'.$name.'" /></dd>';
			}
		}
		
		
		/* Spielerstatistik generieren */
		elseif (isset($_POST['ajax_stats'])) {
			$ezLoc->get_data("admin");
			
			if (function_exists('ini_get') && ini_get('date.timezone') == '') ini_set('date.timezone', 'Europe/Berlin');
			$last_update = date('d.m.Y - H:i', $ezstats['lastupdate']);
			$all_players = count($ezData->get_all_players("all", "name"));
			$not_registered = $all_players - count($ezData->get_all_players("active", "name"));
			
			$string = $ezLoc->data['update_stats'];
			$string = str_replace('%all_players%', $all_players, $string);
			$string = str_replace('%not_registered%', $not_registered, $string);
			$string = str_replace('%last_update%', $last_update, $string);
			
			echo $string;
		}
		
		
		/* Einstellen des Betriebsmodus */
		elseif (isset($_POST['ajax_setmode'])) {
			if (isset($_POST['headline'])) $_POST['headline'] = trim($ezFunc->replace_masked_control_characters($_POST['headline']));
			if (isset($_POST['relpath']))  $_POST['relpath'] = trim($ezFunc->replace_masked_control_characters($_POST['relpath']));
			if (isset($_POST['curl']))     $_POST['curl'] = trim($ezFunc->replace_masked_control_characters($_POST['curl']));
			if (isset($_POST['cmsdb']))    $_POST['cmsdb'] = trim($ezFunc->replace_masked_control_characters($_POST['cmsdb']));
			
			$ezCMS->safe_cms_data($_POST);
			
			$path = $_POST['path']; if ($path != "" AND substr($path, -1, 1) != "/") $path = $path."/";
			$query = "
				UPDATE
					".$ezstats['prefix']."settings 
				SET
					Path = '".$path."',
					CMS = '".$_POST['cms']."'
				WHERE
					ID = '1'
			";
			$ezSQL->safe_query($query);
		}
		
		/* Signatur Einstellungen */
		elseif (isset($_POST['ajax_signature'])) {
			$ezLoc->get_data("admin");
			
			$types = Array("min", "med", "max");
			$settings = Array();
			$sig = Array();
			$tpl = Array();
			
			$players = $ezData->get_all_players("active", "ID");
			if (count($players)) {
				$settings['stats']['default'] = $ezData->get_stats($players[0], "default");
				$settings['stats']['dogtags'] = $ezData->get_stats($players[0], "dogtags");
				
				foreach ($types as $type) {
					/* Einstellungen laden und fr einen Spieler Signatur erstellen */
					$settings['type'] = $type;
					$ezImage = new ezImage($settings);
					$ezImage->create_signature();
					
					/* Formulardaten und Descriptions generieren */
					$sig['img_url'] = '../'.$ezImage->settings['signature_folder'].$players[0].'_'.$type.'.png';
					
					$search = Array('%signature_pattern_folder%', '%signature_width%', '%signature_height%');
					$replace = Array($ezImage->settings['signature_pattern_folder'], $ezImage->settings['signature_width'], $ezImage->settings['signature_height']);
					$sig['signature_pattern_desc'] = str_replace($search, $replace, $ezLoc->data['signature_pattern_desc']);
					$sig['signature_pattern'] = 'name="'.$type.'|signature_pattern_filename" value="'.$ezImage->settings['signature_pattern_filename'].'"';
					
					$sig['signature_font_desc'] = str_replace("%font_folder%", $ezImage->settings['font_folder'], $ezLoc->data['signature_font_desc']);
					$sig['signature_font'] = 'name="'.$type.'|font_filename" value="'.$ezImage->settings['font_filename'].'"';
					
					$sig['signature_fontsize'] = 'name="'.$type.'|font_size" value="'.$ezImage->settings['font_size'].'"';
					$sig['signature_fontcolor'] = 'name="'.$type.'|font_color" value="'.$ezImage->settings['font_color'].'"';
					$sig['signature_bg_color'] = 'name="'.$type.'|background_color" value="'.$ezImage->settings['background_color'].'"';
					$sig['signature_bg_alpha_start'] = 'name="'.$type.'|background_alpha_start" value="'.$ezImage->settings['background_alpha_start'].'"';
					$sig['signature_bg_alpha_end'] = 'name="'.$type.'|background_alpha_end" value="'.$ezImage->settings['background_alpha_end'].'"';
					$sig['signature_bg_offset'] = 'name="'.$type.'|background_offset" value="'.$ezImage->settings['background_offset'].'"';
					
					
					eval ("\$template = \"".$ezLoc->get_template("sigsettings", "html", "../admin/")."\";");
					echo $template;
				}
			} else {
				echo $ezLoc->data['no_player'];
			}
		}
		
		
		/* Adminpanel Hauptseite */
		else {
			$ezLoc->get_data("overview");
			$ezLoc->get_data("admin", true);
			$ezLoc->get_data("manual", true);
			
			
			/* bersichts-Einstellungen */
			$query = 'SELECT * FROM '.$ezstats['prefix'].'overview';
			$result = mysql_fetch_assoc($ezSQL->safe_query($query));
			$list = "";
			foreach ($result as $key => $value) {
				if ($key != "ID") {
					$list .= '<dd><input type="checkbox" name="overview['.$key.']"';
					if ($value == "1") $list .= ' checked';
					$list .= ' /> '.$ezLoc->data[$key].'</dd>';
				}
			}
			
			
			/* Allgemeine Einstellungen */
			$files = $ezFunc->get_objects_in_folder('../language', 'all', false);
			$string_language = "";
			for ($i = 0; $i < count($files); $i++) {
				$string_language .= '<dd><input type="radio" name="lang" value="'.$files[$i].'"';
				if ($files[$i] == $ezstats['language']) $string_language .= ' checked';
				$string_language .= ' /> '.$files[$i].'</dd>';
			}
			$files = $ezFunc->get_objects_in_folder('../stylesheets/themes', 'all', false);
			$string_themes = "";
			for ($i = 0; $i < count($files); $i++) {
				$string_themes .= '<dd><input type="radio" name="theme" value="'.$files[$i].'"';
				if ($files[$i] == $ezstats['theme']) $string_themes .= ' checked';
				$string_themes .= ' /> '.$files[$i].'</dd>';
			}
			$check = Array(
				'iconsize_16' => '', 'iconsize_24' => '', 'iconsize_32' => '', 'iconsize_64' => '',
				'gueststats_0' => '', 'gueststats_1' => '', 'gueststats_2' => '',
				'overview_average_yes' => '', 'overview_average_no' => '',
				'overview_summary_yes' => '', 'overview_summary_no' => '',
				'adminlink_yes' => '', 'adminlink_no' => '', 
				'supportlink_yes' => '', 'supportlink_no' => '',
				'showupdate_yes' => '', 'showupdate_no' => '',
				'detaillink_yes' => '', 'detaillink_no' => '',
				'target_yes' => '', 'target_no' => ''
			);
			if ($ezstats['overview_average']) $check['overview_average_yes'] = " checked"; else $check['overview_average_no'] = " checked";
			if ($ezstats['overview_summary']) $check['overview_summary_yes'] = " checked"; else $check['overview_summary_no'] = " checked";
			if ($ezstats['adminlink']) $check['adminlink_yes'] = " checked"; else $check['adminlink_no'] = " checked";
			if ($ezstats['supportlink']) $check['supportlink_yes'] = " checked"; else $check['supportlink_no'] = " checked";
			if ($ezstats['showupdate']) $check['showupdate_yes'] = " checked"; else $check['showupdate_no'] = " checked";
			if ($ezstats['detaillink']) $check['detaillink_yes'] = " checked"; else $check['detaillink_no'] = " checked";
			
			
			/* Einstellen des Betriebsmodus: */
			$list_cms = $ezFunc->list_available_cms($ezstats['cms'], "manuals");
			if ($ezstats['path'] = "" OR $ezstats['path'] = " ") $ezstats['path'] = substr(dirname($_SERVER["SCRIPT_FILENAME"]), 0, strlen(dirname($_SERVER["SCRIPT_FILENAME"]))-5);
			
			$preset = $ezCMS->load_cms_data($ezstats['cms']);
			
			eval ("\$cms_form = \"".$ezLoc->get_template("form", "html", "../admin/manuals/".$ezstats['cms'])."\";");
			eval ("\$cms_manual = \"".$ezLoc->get_template("manual", "html", "../admin/manuals/".$ezstats['cms'])."\";");
			
			
			eval ("\$template = \"".$ezLoc->get_template("_header", "html", "../admin")."\";");
			echo $template;
			eval ("\$template = \"".$ezLoc->get_template("_body", "html", "../admin")."\";");
			echo $template;
			eval ("\$template = \"".$ezLoc->get_template("admin", "html", "../admin")."\";");
			echo $template;
			eval ("\$template = \"".$ezLoc->get_template("_footer", "html", "../admin")."\";");
			echo $template;
		}
	}
?>